Bug 223918 - [NEW PORT] textproc/p5-Test-Regexp: Test your regular expressions
Summary: [NEW PORT] textproc/p5-Test-Regexp: Test your regular expressions
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kai Knoblich
URL: https://metacpan.org/release/Test-Regexp
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-27 20:37 UTC by Sergei Vyshenski
Modified: 2019-06-13 18:24 UTC (History)
3 users (show)

See Also:


Attachments
shar archive with a new port (1.84 KB, text/plain)
2017-11-27 20:37 UTC, Sergei Vyshenski
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2017-11-27 20:37:07 UTC
Created attachment 188327 [details]
shar archive with a new port

A perl module to test regular expressions
http://search.cpan.org/dist/Test-Regexp/

- This port is needed as a new dependency for future 
version 2017060201 of existing port textproc/p5-Regexp-Common
- "portlint -ACN" says: looks fine.
- testport of poudriere 3.2.99.20171111 at 11.1-release-amd64 with perl 5.24.3 runs ok.
- "make test" for this port (as run from within the same poudriere's jail) say: "PASS".
Comment 1 Sergei Vyshenski 2018-10-09 16:59:41 UTC
Hi Martin,

Can I be of any help?

Regards, Sergei
Comment 2 commit-hook freebsd_committer 2019-06-13 18:21:13 UTC
A commit references this bug:

Author: kai
Date: Thu Jun 13 18:20:30 UTC 2019
New revision: 504128
URL: https://svnweb.freebsd.org/changeset/ports/504128

Log:
  New port: textproc/p5-Test-Regexp

  This module is intended to test your regular expressions.

  Given a subject string and a regular expression (aka pattern), the module not
  only tests whether the regular expression complete matches the subject string,
  it performs a utf8::upgrade or utf8::downgrade on the subject string and
  performs the tests again, if necessary.

  Furthermore, given a pattern with capturing parenthesis, it checks whether all
  captures are present, and in the right order. Both named and unnamed captures
  are checked.

  WWW: https://metacpan.org/release/Test-Regexp

  PR:		223918
  Submitted by:	Sergei Vyshenski <svysh.fbsd@gmail.com>

Changes:
  head/textproc/Makefile
  head/textproc/p5-Test-Regexp/
  head/textproc/p5-Test-Regexp/Makefile
  head/textproc/p5-Test-Regexp/distinfo
  head/textproc/p5-Test-Regexp/pkg-descr
Comment 3 Kai Knoblich freebsd_committer 2019-06-13 18:24:49 UTC
Committed, thank you for your contribution and sorry for the huge delay! Somehow this PR slipped "through the cracks".

I did some small updates/fixes (e.g. WWW field / merged pkg-plist into PLIST_FILES).